/*
 * General page layout (matrix is a bit different from a standard page)
 */
.matrix_page main {
    max-width: 1200px;
    width: 100%;
}

.matrix_page .layout-content {
    padding: 3em;
}


/* 
 * HIDING CONTENT
 */
.contribution_item.hidden,
#matrix_help_link.hidden,
#matrix_reset.hidden,
#matrix_url.hidden,
#download_zip.hidden,
#download_pdf.hidden {
    display: none !important;
}

#block-fi-2022-theology-buttons header,
#block-fi-2022-discipline-buttons header {
    display: none;
}

@media only screen and (max-width: 600px) {
    .discipline-menu-item-row,
    #block-fi-2022-discipline-buttons header,
    #block-fi-2022-theology-buttons header {
        display: block !important;
    }
    #block-fi-2022-discipline-buttons {
        float: right;
    }
    #block-fi-2022-discipline-buttons,
    #block-fi-2022-theology-buttons {
        padding-top: 0 !important;
        display: table;
        width: 49%;
    }
    .main_button,
    .discipline_menu_item,
    .theology_menu_item {
        width: unset !important;
        display: block !important;
    }
    .matrix_page #block-fi-2022-content {
        padding-left: 0 !important;
        clear: both;
        padding-top: 1em;
    }
    .matrix_toolbar a {
        top: -2em !important;
    }
    .matrix_toolbar .right {
        position: relative;
        top: 0.25em;
    }
}

/*
 *  MENUS
 */
.discipline_menu_item.inactive,
.theology_menu_item.inactive,
.discipline_menu_item.inactive:hover,
.theology_menu_item.inactive:hover {
    border-color: var(--light-grey) !important;
    color: var(--medium-grey) !important;
    background-color: var(--white) !important;
}

#theology_main_button,
#discipline_main_button,
.discipline_menu_item,
.theology_menu_item {
    padding: 0.5em;
    border: 2px solid;
    margin-bottom: 0.5em;
    border-radius: 3px;
    text-align: center;
    font-size: 0.9em;
}

.theology_menu_item:active,
#theology_main_button,
.theology_menu_item {
    border-color: var(--medium-blue);
    width: 7em; 
    background-color: var(--lighter-blue);
}

@media(hover: hover) and (pointer: fine) {
    .theology_menu_item:hover  {
        background-color: var(--dark-blue);
        color: var(--white);
    }
    .discipline_menu_item:hover {
        background-color: var(--dark-green);
        color: var(--white);
    }
}


#theology_main_button,
.theology_menu_item.active {
    background-color: var(--dark-blue);
    color: var(--white);
}

.discipline_menu_item:active,
 #discipline_main_button,
.discipline_menu_item {
    display: inline-block;
    border-color: var(--dark-green);
    background-color: var(--lighter-green);
    min-width: 7em;
}

.discipline-menu-item-row {
    display: inline-block;
}

 #discipline_main_button,
.discipline_menu_item.active {
    background-color: var(--dark-green);
    color: var(--white);
}

#block-fi-2022-theology-buttons {
    float:left;
    padding-top: 6em;
}

.main_button {
    font-weight: bold;
}

div.theology_separator {
    height: 1.5em;
}

/* general page */
.matrix_page #block-fi-2022-content {
    padding-left: 12em;
}

.matrix_page #block-fi-2022-page-title {
    display: none;
}

#matrix_default,
#matrix_content {
    margin-top: 4em;
}

.content footer {
    padding-top: 2em;
}

#matrix_help {
    margin: 2em 0em;
    display: none;
}


/*
 * CONTRIBUTIONS
 */

.contribution_item {
    padding: 0.5em 1.2em;
    display: block;
    margin-top: 0.5em;
}

a.content_item_link {
    display: block;
}

a.content_item_link:hover {
    text-decoration: none;
}

.contribution_item div.title {
    color: var(--link);
    font-weight: 600;
}

.contribution_item div.type {
    font-size: 0.9em;    
}

.contribution_item div.author {
    display: inline;
    font-style: italic;
    font-weight: initial;
}

.contribution_item {
    color: var(--text-black);
    display: inline-block;
    width: 95%;
}

.contribution_item:hover div.type,
.contribution_item:hover div.author,
.contribution_item:hover div.title,
.contribution_item:hover {
    background-color: var(--lighter-grey);
}


/* coloring the theology / discipline labels */
.contribution_item .theology_label {
    display: inline;
    color: var(--dark-blue); 
}

.contribution_item .discipline_label {
    display: inline;
    color: var(--dark-green);
}

.authors-per-contribution-minimal {
    display: inline;
}

/* toolbar menu (download pdf, zip, reset matrix) */
.matrix_toolbar {
    width: 100%;
    margin-bottom: 3em;
    position: relative;
    top: -1em;
}

.matrix_toolbar a {
    display: inline-block;
    padding: 0.5em 1em;
}

.matrix_toolbar .left {
    float:left;
}

.matrix_toolbar .right {
    float: right;
}


/* last 5 entries */
.last_entries.matrix {
    line-height: 1.5;
    padding: 0.5em 0em;
}
